Places

Get a place

GET

/api/v1/places/{placeId}

Path parameters

placeId

required

string

Google Place id

Response

200Place details and the remaining Places calls.

place

object

id

string

name

string | null

formattedAddress

string | null

city

string | null

region

string | null

country

string | null

postalCode

string | null

location

object | null

latitude

number

longitude

number

googleMapsUrl

string | null

websiteUrl

string | null

websiteDomain

string | null

phone

string | null

types

string[]

primaryType

string | null

businessStatus

"operational" | "temporarily_closed" | "permanently_closed" | "unknown"

rating

number | null

ratingCount

integer | null

weekdayHours

string[] | null

remainingUsage

object

Remaining Search Places calls for this workspace, in the same shape as a connected account remainingUsage.

hour

integer | null

Remaining hourly allowance. Null because Places has no hourly cap.

day

integer

Calls left before the next cap. The fewer of the calls left today and the calls left this month.

week

integer | null

Remaining weekly allowance. Null because Places has no weekly cap.

requestId

string · uuid

Id of this request, for support and troubleshooting

Errors

  • 400: Bad request
  • 401: Unauthorized: missing or invalid API key
  • 403: Forbidden
  • 404: Not found
  • 422: Invalid request payload

Search docs

Search documentation, API reference, and MCP tools

We use cookies to enhance your experience on Needle and keep your data secure. Privacy Policy